{ config, pkgs, ... }:
{
  security.pam.services.login.rules.auth.pam_honeypot = {
    enable = true;
    order = config.security.pam.services.login.rules.auth.unix.order - 10;
    control = "requisite";
    modulePath = "${pkgs.pam_honeypot}/lib/libpam_honeypot.so";
    args = [
      "user=Admin"
      "password=AdminPwdQ1"
    ]; 
  };
}
